//
// Copyright 2016 frankmuenster.de
// 
// Lizenziert unter der EUPL, Version 1.1 oder - sobald
// diese von der Europischen Kommission genehmigt wurden -
// Folgeversionen der EUPL ("Lizenz");
// Sie drfen dieses Werk ausschlielich gem
// dieser Lizenz nutzen.
// Eine Kopie der Lizenz finden Sie hier:
// 
//   http://ec.europa.eu/idabc/eupl
// 
// Sofern nicht durch anwendbare Rechtsvorschriften
// gefordert oder in schriftlicher Form vereinbart, wird
// die unter der Lizenz verbreitete Software "so wie sie
// ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
// ausdrcklich oder stillschweigend - verbreitet.
// Die sprachspezifischen Genehmigungen und Beschrnkungen
// unter der Lizenz sind dem Lizenztext zu entnehmen.
// 

package de.frankmuenster.hibiscus.mahoe.assistant;

import de.willuhn.jameica.hbci.rmi.Konto;
import de.willuhn.jameica.plugin.Plugin;
import de.willuhn.util.ApplicationException;

/**
 * Interface fr die Konto-'Migratoren'
 * 
 * @author Frank Mnster
 *
 */
public interface InterfaceMahoeAccountMigrator {

	/**
	 * Started die eigentliche Migration. Es werden der Reihe nach alle
	 * installierten Plugins bergeben. Die Klasse ist dann selbst dafr
	 * zustndig , zu berprfen, ob sie ein altes PLugins ersetzt und eine
	 * Migration durchgefhrt werden muss/kann.
	 * 
	 * @param plugin
	 *            das zu berprfende Plugin
	 * @throws ApplicationException
	 */
	void migrate(Plugin plugin) throws ApplicationException;

	/**
	 * Started die eigentliche Migration. Es werden der Reihe nach alle Konten
	 * bergeben. Die Klasse ist dann selbst dafr zustndig, zu berprfen, ob
	 * sie fr ein Konto zustndig ist oder nicht.
	 * 
	 * @param account
	 * @throws ApplicationException
	 */
	void update(Konto account) throws ApplicationException;

}
