//
// Copyright 2017 frankmuenster.de
// 
// Lizenziert unter der EUPL, Version 1.1 oder - sobald
// diese von der Europischen Kommission genehmigt wurden -
// Folgeversionen der EUPL ("Lizenz");
// Sie drfen dieses Werk ausschlielich gem
// dieser Lizenz nutzen.
// Eine Kopie der Lizenz finden Sie hier:
// 
//   http://ec.europa.eu/idabc/eupl
// 
// Sofern nicht durch anwendbare Rechtsvorschriften
// gefordert oder in schriftlicher Form vereinbart, wird
// die unter der Lizenz verbreitete Software "so wie sie
// ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
// ausdrcklich oder stillschweigend - verbreitet.
// Die sprachspezifischen Genehmigungen und Beschrnkungen
// unter der Lizenz sind dem Lizenztext zu entnehmen.
// 

package de.frankmuenster.hibiscus.mahoe.bsh.assistant;

import de.frankmuenster.hibiscus.mahoe.assistant.CreateAccountInfo;
import de.frankmuenster.hibiscus.mahoe.bsh.SchwaebischHall;
import de.frankmuenster.hibiscus.mahoe.bsh.json.Account;

/**
 * Bentigte Informationen zum Erstellen eines Bsh Kontos
 * 
 * @author Frank Mnster
 * 
 */
public class BshCreateInfo extends CreateAccountInfo {

	/**
	 * Account JSON
	 */
	private Account account;

	/**
	 * Kundennummer
	 */
	private String kdNummer;

	/**
	 * Standardkonstruktor
	 */
	public BshCreateInfo() {
		super();
	}

	/**
	 * @return das Account-Object
	 */
	public Account getAccount() {
		return account;
	}

	/**
	 * @return the blz
	 */
	public String getBlzDz() {
		return SchwaebischHall.BLZ_DZ;
	}

	/**
	 * @return the bsn
	 */
	public String getBsn() {
		return account.getBsn();
	}

	/**
	 * @return the kdNummer
	 */
	public String getKdNummer() {
		return kdNummer;
	}

	/**
	 * @return the vtn
	 */
	public String getVtn() {
		return account.getVtn();
	}

	/**
	 * @return coreId+Buchstabe+Nummer
	 */
	public String getLetterNumber() {
		return account.getContractLetter() + account.getContractNumber();
	}

	/**
	 * @param account
	 *            the account to set
	 */
	public void setAccount(final Account account) {
		this.account = account;
	}

	/**
	 * @param kdNummer
	 *            the kdNummer to set
	 */
	public void setKdNummer(final String kdNummer) {
		this.kdNummer = kdNummer;
	}

	/**
	 * @return die Hauptnummer des Vertrages
	 */
	public String getCoreId() {
		return account.getCoreId();
	}

}
