//
// Copyright 2017 frankmuenster.de
// 
// Lizenziert unter der EUPL, Version 1.1 oder - sobald
// diese von der Europischen Kommission genehmigt wurden -
// Folgeversionen der EUPL ("Lizenz");
// Sie drfen dieses Werk ausschlielich gem
// dieser Lizenz nutzen.
// Eine Kopie der Lizenz finden Sie hier:
// 
//   http://ec.europa.eu/idabc/eupl
// 
// Sofern nicht durch anwendbare Rechtsvorschriften
// gefordert oder in schriftlicher Form vereinbart, wird
// die unter der Lizenz verbreitete Software "so wie sie
// ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
// ausdrcklich oder stillschweigend - verbreitet.
// Die sprachspezifischen Genehmigungen und Beschrnkungen
// unter der Lizenz sind dem Lizenztext zu entnehmen.
// 

package de.frankmuenster.hibiscus.mahoe.bsh.json;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * Antwort der Login REST Anfrage
 * 
 * @author Frank Mnster/Quirin Huber
 * 
 */
@JsonIgnoreProperties(ignoreUnknown = true)
public class LoginResponse extends BshResponse implements IBshResponse {

	/**
	 * Details
	 */
	@JsonProperty("data")
	private transient LoginDetails details;

	/**
	 * Standardkonstruktor
	 */
	public LoginResponse() {
		super();
	}

	/**
	 * Logindetails
	 * 
	 * @return die Logindetails des Benutzers.
	 */
	public LoginDetails getDetails() {
		return details;
	}
}
