/*
 * Copyright 2016 frankmuenster.de
 * 
 * Lizenziert unter der EUPL, Version 1.1 oder - sobald diese von der
 * Europischen Kommission genehmigt wurden - Folgeversionen der EUPL
 * ("Lizenz"); Sie drfen dieses Werk ausschlielich gem dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 * 
 * http://ec.europa.eu/idabc/eupl
 * 
 * Sofern nicht durch anwendbare Rechtsvorschriften gefordert oder in
 * schriftlicher Form vereinbart, wird die unter der Lizenz verbreitete Software
 * "so wie sie ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrcklich oder stillschweigend - verbreitet. Die sprachspezifischen
 * Genehmigungen und Beschrnkungen unter der Lizenz sind dem Lizenztext zu
 * entnehmen.
 */

package de.frankmuenster.hibiscus.mahoe.gui.views;

import java.rmi.RemoteException;

import de.frankmuenster.hibiscus.mahoe.gui.controller.LicenseController;
import de.frankmuenster.hibiscus.mahoe.utils.I18N;
import de.willuhn.jameica.gui.AbstractView;
import de.willuhn.jameica.gui.GUI;
import de.willuhn.jameica.gui.Part;
import de.willuhn.util.ApplicationException;

/**
 * View die Lizenz-Informationen anzeigt Basiert auf der LicenseView aus dem
 * Hibiscus-Plugin von Olaf Willuhn
 * 
 * @author willuhn / Frank Mnster
 * @version 1.0
 * 
 */
public class LicenseView extends AbstractView {

	/**
	 * Unser Kontrolleur
	 */
	private transient LicenseController ctrl;

	/**
	 * 
	 */
	public LicenseView() {
		super();
	}

	/**
	 * @see de.willuhn.jameica.gui.AbstractView#bind()
	 */
	@Override
	public void bind() throws RemoteException {
		GUI.getView().setTitle(I18N.tr("LicenseView.viewTitle")); //$NON-NLS-1$

		ctrl = new LicenseController(this);

		final Part lib = ctrl.getLibList();
		lib.paint(getParent());
	}

	/**
	 * @see de.willuhn.jameica.gui.AbstractView#unbind()
	 */
	@Override
	public void unbind() throws ApplicationException {
		super.unbind();
		ctrl = null; // NOPMD
	}

}
