//
// Copyright 2016 frankmuenster.de
// 
// Lizenziert unter der EUPL, Version 1.1 oder - sobald
// diese von der Europischen Kommission genehmigt wurden -
// Folgeversionen der EUPL ("Lizenz");
// Sie drfen dieses Werk ausschlielich gem
// dieser Lizenz nutzen.
// Eine Kopie der Lizenz finden Sie hier:
// 
//   http://ec.europa.eu/idabc/eupl
// 
// Sofern nicht durch anwendbare Rechtsvorschriften
// gefordert oder in schriftlicher Form vereinbart, wird
// die unter der Lizenz verbreitete Software "so wie sie
// ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
// ausdrcklich oder stillschweigend - verbreitet.
// Die sprachspezifischen Genehmigungen und Beschrnkungen
// unter der Lizenz sind dem Lizenztext zu entnehmen.
//

package de.frankmuenster.hibiscus.mahoe.santander.pdfextractor;

import java.awt.Rectangle;
import java.io.IOException;

import de.frankmuenster.hibiscus.mahoe.pdfextractor.AbstractBankPDFPage;

/**
 * TextAreas fr die erste Seite
 * 
 * @author Frank Mnster
 */
public class SantanderPdfFirstPage extends AbstractBankPDFPage {

	/**
	 * Erwartete X-Position des Buchungsdaten
	 */
	private final static double BUCH_DATUM_X_POS = 33.35;

	/**
	 * Standard constructor call super class.
	 * 
	 * @throws IOException
	 */
	public SantanderPdfFirstPage() throws IOException {
		super();
	}

	/**
	 * @see AbstractBankPDFPage#setRegions()
	 */
	@Override
	protected final void setRegions() {

		int areaX;
		int areaY;
		int areaW;
		int areaH;
		Rectangle rect = new Rectangle(10, 10, 10, 10);

		// Kartenkonto rectangle
		areaX = (int) (12.5 * CM_TO_PDF);
		areaY = (int) (3.3 * CM_TO_PDF);
		areaW = (int) (4 * CM_TO_PDF);
		areaH = (int) (0.6 * CM_TO_PDF);
		rect = new Rectangle(areaX, areaY, areaW, areaH);
		this.addRegion(KARTEN_KONTO, rect);

		// Rechnungsdatum rectangle
		areaX = (int) (17 * CM_TO_PDF);
		areaY = (int) (6.5 * CM_TO_PDF);
		areaW = (int) (2 * CM_TO_PDF);
		areaH = (int) (0.5 * CM_TO_PDF);
		rect = new Rectangle(areaX, areaY, areaW, areaH);
		this.addRegion(RECHNUNGS_DATUM, rect);

		// Saldo rectangle
		areaX = (int) (17 * CM_TO_PDF);
		areaY = (int) (7.6 * CM_TO_PDF);
		areaW = (int) (3 * CM_TO_PDF);
		areaH = (int) (0.8 * CM_TO_PDF);
		rect = new Rectangle(areaX, areaY, areaW, areaH);
		this.addRegion(SALDO, rect);

		// Buchungsdatum rectangle
		areaX = (int) (1.1 * CM_TO_PDF);
		areaY = (int) (15 * CM_TO_PDF);
		areaW = (int) (1.5 * CM_TO_PDF);
		areaH = (int) (11 * CM_TO_PDF);
		rect = new Rectangle(areaX, areaY, areaW, areaH);
		this.addRegion(BUCHUNGS_DATUM, rect);

		// Kaufdatum rectangle
		areaX = (int) (16.2 * CM_TO_PDF);
		areaY = (int) (15 * CM_TO_PDF);
		areaW = (int) (1.4 * CM_TO_PDF);
		areaH = (int) (11 * CM_TO_PDF);
		rect = new Rectangle(areaX, areaY, areaW, areaH);
		this.addRegion(KAUF_DATUM, rect);

		// Beschreibung rectangle
		areaX = (int) (2.9 * CM_TO_PDF);
		areaY = (int) (15 * CM_TO_PDF);
		areaW = (int) (9.7 * CM_TO_PDF);
		areaH = (int) (11 * CM_TO_PDF);
		rect = new Rectangle(areaX, areaY, areaW, areaH);
		this.addRegion(BESCHREIBUNG, rect);

		// Fremdwhrungsbetrag rectangle
		areaX = (int) (13 * CM_TO_PDF);
		areaY = (int) (15 * CM_TO_PDF);
		areaW = (int) (1.5 * CM_TO_PDF);
		areaH = (int) (11 * CM_TO_PDF);
		rect = new Rectangle(areaX, areaY, areaW, areaH);
		this.addRegion(FREMDW_BETRAG, rect);

		// Fremdwhrung rectangle ???
		areaX = (int) (30.9 * CM_TO_PDF);
		areaY = (int) (15 * CM_TO_PDF);
		areaW = (int) (1 * CM_TO_PDF);
		areaH = (int) (11 * CM_TO_PDF);
		rect = new Rectangle(areaX, areaY, areaW, areaH);
		this.addRegion(FREMDWAEHRUNG, rect);

		// Kurs rectangle
		areaX = (int) (14.6 * CM_TO_PDF);
		areaY = (int) (15 * CM_TO_PDF);
		areaW = (int) (1.4 * CM_TO_PDF);
		areaH = (int) (11 * CM_TO_PDF);
		rect = new Rectangle(areaX, areaY, areaW, areaH);
		this.addRegion(KURS, rect);

		// Betrag rectangle
		areaX = (int) (17.8 * CM_TO_PDF);
		areaY = (int) (15 * CM_TO_PDF);
		areaW = (int) (2.1 * CM_TO_PDF);
		areaH = (int) (11 * CM_TO_PDF);
		rect = new Rectangle(areaX, areaY, areaW, areaH);
		this.addRegion(BETRAG, rect);

	}

	/**
	 * @see de.frankmuenster.hibiscus.mahoe.pdfextractor.AbstractBankPDFPage#getXPos()
	 */
	@Override
	protected double getXPos() {
		return BUCH_DATUM_X_POS;
	}

}
