package de.frankmuenster.hibiscus.mahoe.targobank.pdfextractor;

import java.awt.Rectangle;
import java.io.IOException;

import de.frankmuenster.hibiscus.mahoe.pdfextractor.AbstractBankPDFPage;

/**
 * TextAreas fr die ungeraden Seiten
 * 
 * @author Frank Mnster
 */
public class TargoBankPdfOddPage extends AbstractBankPDFPage {

	/**
	 * Erwartete X-Position des Buchungsdaten
	 */
	private final static double BUCH_DATUM_X_POS = 77.94;

	/**
	 * Standard constructor call super class.
	 * 
	 * @throws IOException
	 */
	public TargoBankPdfOddPage() throws IOException {
		super();
	}

	/**
	 * @see AbstractBankPDFPage#setRegions()
	 */
	@Override
	protected final void setRegions() {

		int areaX;
		int areaY;
		int areaW;
		int areaH;
		Rectangle rect;

		// Buchungsdatum rectangle
		areaX = (int) (2.5 * CM_TO_PDF);
		areaY = (int) (13 * CM_TO_PDF);
		areaW = (int) (2 * CM_TO_PDF);
		areaH = (int) (9.5 * CM_TO_PDF);
		rect = new Rectangle(areaX, areaY, areaW, areaH);
		this.addRegion(BUCHUNGS_DATUM, rect);

		// Kaufdatum rectangle
		areaX = (int) (4.5 * CM_TO_PDF);
		areaY = (int) (13 * CM_TO_PDF);
		areaW = (int) (2 * CM_TO_PDF);
		areaH = (int) (9.5 * CM_TO_PDF);
		rect = new Rectangle(areaX, areaY, areaW, areaH);
		this.addRegion(KAUF_DATUM, rect);

		// Beschreibung rectangle
		areaX = (int) (6.5 * CM_TO_PDF);
		areaY = (int) (13 * CM_TO_PDF);
		areaW = (int) (7 * CM_TO_PDF);
		areaH = (int) (9.5 * CM_TO_PDF);
		rect = new Rectangle(areaX, areaY, areaW, areaH);
		this.addRegion(BESCHREIBUNG, rect);

		// Fremdwhrungsbetrag rectangle
		areaX = (int) (14.5 * CM_TO_PDF);
		areaY = (int) (13 * CM_TO_PDF);
		areaW = (int) (1.5 * CM_TO_PDF);
		areaH = (int) (9.5 * CM_TO_PDF);
		rect = new Rectangle(areaX, areaY, areaW, areaH);
		this.addRegion(FREMDW_BETRAG, rect);

		// Fremdwhrung rectangle
		areaX = (int) (15.9 * CM_TO_PDF);
		areaY = (int) (13 * CM_TO_PDF);
		areaW = (int) (1 * CM_TO_PDF);
		areaH = (int) (9.5 * CM_TO_PDF);
		rect = new Rectangle(areaX, areaY, areaW, areaH);
		this.addRegion(FREMDWAEHRUNG, rect);

		// Kurs rectangle
		areaX = (int) (17 * CM_TO_PDF);
		areaY = (int) (13 * CM_TO_PDF);
		areaW = (int) (1.6 * CM_TO_PDF);
		areaH = (int) (9.5 * CM_TO_PDF);
		rect = new Rectangle(areaX, areaY, areaW, areaH);
		this.addRegion(KURS, rect);

		// Betrag rectangle
		areaX = (int) (18.5 * CM_TO_PDF);
		areaY = (int) (13 * CM_TO_PDF);
		areaW = (int) (2 * CM_TO_PDF);
		areaH = (int) (9.5 * CM_TO_PDF);
		rect = new Rectangle(areaX, areaY, areaW, areaH);
		this.addRegion(BETRAG, rect);

	}

	/**
	 * @see de.frankmuenster.hibiscus.mahoe.pdfextractor.AbstractBankPDFPage#getXPos()
	 */
	@Override
	protected double getXPos() {
		return BUCH_DATUM_X_POS;
	}

}
