//
// Copyright 2016 frankmuenster.de
// 
// Lizenziert unter der EUPL, Version 1.1 oder - sobald
// diese von der Europischen Kommission genehmigt wurden -
// Folgeversionen der EUPL ("Lizenz");
// Sie drfen dieses Werk ausschlielich gem
// dieser Lizenz nutzen.
// Eine Kopie der Lizenz finden Sie hier:
// 
//   http://ec.europa.eu/idabc/eupl
// 
// Sofern nicht durch anwendbare Rechtsvorschriften
// gefordert oder in schriftlicher Form vereinbart, wird
// die unter der Lizenz verbreitete Software "so wie sie
// ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
// ausdrcklich oder stillschweigend - verbreitet.
// Die sprachspezifischen Genehmigungen und Beschrnkungen
// unter der Lizenz sind dem Lizenztext zu entnehmen.
// 

package de.frankmuenster.hibiscus.mahoe.web;

import java.util.Date;

import de.willuhn.jameica.hbci.rmi.Konto;
import de.willuhn.util.ApplicationException;
import de.willuhn.util.ProgressMonitor;

/**
 * Interface fr die Kontoinformationen, die von der Webseite gelesen werden.
 * 
 * @author Frank Mnster
 * 
 */
public interface InterfaceWebAccountInformation {

	/**
	 * @param saldoAvailable
	 */
	void setSaldoAvailable(final Double saldoAvailable);

	/**
	 * 
	 * @param saldo
	 */
	void setSaldo(final Double saldo);

	/**
	 * 
	 * @param lastTransactionDate
	 */
	void setLastTransactionDate(final Date lastTransactionDate); // NOPMD

	/**
	 * 
	 * @param konto
	 */
	void setKonto(final Konto konto);

	/**
	 * 
	 * @param comment
	 */
	void setComment(final String comment);

	/**
	 * 
	 * @return saldoAvailable
	 */
	Double getSaldoAvailable();

	/**
	 * 
	 * @return saldo
	 */
	Double getSaldo();

	/**
	 * 
	 * @return lastTransactionDate als String
	 */
	String getLastTransactionDateAsString();

	/**
	 * 
	 * @return lastTransactionDate
	 */
	Date getLastTransactionDate();

	/**
	 * 
	 * @return konto
	 */
	Konto getKonto();

	/**
	 * 
	 * @return comment
	 */
	String getComment();

	/**
	 * Speichert die Web-Kontoinformationen in das Konto.
	 * 
	 * @param monitor
	 *            der ProgressMonitor
	 * 
	 * @throws ApplicationException
	 */
	void saveInformationInAccount(ProgressMonitor monitor) throws ApplicationException;

}